* * *

Author Topic: Problem DUPE, sorry! (INet package fails to compile, help please?)  (Read 1823 times)


  • New member
  • *
  • Posts: 29
DUPE, Problem solved here:



I am trying to install INet package from https://lnet.wordpress.com/ using the latest Lazarus v1.6 (FPC v3.0.0).
I need the package to try out lazpaint found here https://github.com/bgrabitmap/lazpaint
This is the error I get in the file:
Stops at line 285:
Code: Pascal  [Select]
  1. uses sslsockets;

message output:
Code: Pascal  [Select]
  1. Warning: Recompiling sslsockets, checksum changed for OpenSSL
  2. fphttpclient.pp(285,6) Fatal: Cannot find sslsockets used by fphttpclient. Make sure all ppu files of a package are in its output directory. ppu in wrong directory=F:\Lazarus\fpc\3.0.0\units\i386-win32\fcl-net\sslsockets.ppu..

To be honest, it seem to me that I need to recompile the FPC packages... But I'm a bit ashed, I really don't know how to recompile the fpc packages :-[ (if that is the issue)..

« Last Edit: April 19, 2016, 08:41:28 am by trn76 »


  • Newbie
  • Posts: 1
Re: Problem DUPE, sorry! (INet package fails to compile, help please?)
« Reply #1 on: April 21, 2017, 01:14:17 pm »
According to https://lists.debian.org/debian-hams/2016/03/msg00035.html i checked the versions of openssl.pas
on my OpenSuse 13.2 machine. After this i copied the the newer and bigger version in
/usr/share/fpcsrc/3.0.2/packages/openssl/src/   to the lnet directory
/usr/lib64/lazarus/components/lnet/lib/  after renaming the openssl.pas in the lnet path.

Now compiling and installation of the lnet package is possible with an actual Lazarus + fpc version.

Moin, tubeman



Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus